Download it now!
Bug 129527 - "Edit Style" button in Paragraph Style dialog box is not active when reopening the dialog box -- after changing the Numbering Style
Summary: "Edit Style" button in Paragraph Style dialog box is not active when reopenin...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.0.2
Keywords:
Depends on:
Blocks: Writer-Styles-Paragraph-Combobox
  Show dependency treegraph
 
Reported: 2019-12-20 17:35 UTC by sdc.blanco
Modified: 2020-01-07 23:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2019-12-20 17:35:19 UTC
1. Set a paragraph style to a single line.
2. Edit the paragraph style you just set -- choose "Outline&Numbering" tab.
3. Change "Numbering Style" from "None" to one of the choices in the dropdown box, and Apply/OK.
4.  Close dialog box
5.  Edit that paragraph style again (i.e., reopen dialog box to Outline&Numbering Tab.)

Actual result:  "Edit Style" button is grayed out (cannot click)

Expected result:  Can click on "Edit Style".

Additional information:

1.  Selecting/clicking on the style again in the dropdown box (or shifting to another style and then back) "recovers" the active "Edit Style" button.

Also tested with: 

Version: 6.4.0.0.beta1 (x64)
Build ID: 4d7e5b0c40ed843384704eca3ce21981d4e98920
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: en-US (en_DK); UI-Language: en-US
Calc: CL
Comment 1 ian 2019-12-22 17:01:34 UTC
Thank you for reporting the bug. I can confirm that the bug is present in
Version: 6.5.0.0.alpha0+ (x64)
Build ID: 209fc9fd7fa433947af0bf86e210d73fa7f5a045
CPU threads: 2; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 Xisco Faulí 2019-12-26 11:43:13 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default;
 
@Caolán, I thought you might be interested in this issue
Comment 3 Dieter 2019-12-29 09:25:18 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2020-01-06 13:31:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dcab1993ed29a408a704cfddbbd15dc7dd8ffc80

Resolves: tdf#129527 enable/disable edit-style button at the right time

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2020-01-06 13:31:50 UTC
fixed in master, backport to 6-4 in gerrit
Comment 6 Commit Notification 2020-01-07 00:24:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e4a58d8df28451952d55604b1ab97b55467b6e05

Resolves: tdf#129527 enable/disable edit-style button at the right time

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 sdc.blanco 2020-01-07 23:14:06 UTC
Works as expected now.  Thanks. Much easier now. 

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 035c7717c135c66c0ec025500b73ae9c13b7c586
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: da-DK (en_DK); UI-Language: en-US
Calc: threaded
(7. jan 2020 build)